Skip to content

# Wialon API

`terminusgps` offers the `wialon` package; a Python library that makes it simple to operate within the Wialon API.

Attention

`WIALON_TOKEN` and `WIALON_ADMIN_ID` must be set before using this package.

Contents:

- Constants
  - `WialonMeasurementUnit`
  - `WialonItemsType`
  - `WialonItemProperty`
  - `ACCESSMASK_RESOURCE_BASIC`
  - `ACCESSMASK_UNIT_BASIC`
  - `ACCESSMASK_UNIT_MIGRATION`
- Errors
  - `WialonError`
- Usage Examples
  - Create a new user and rename it
  - Create an account and migrate a unit into it
  - Add a driver to a resource
  - Update a unit’s “to_number” custom field
- Flags
  - `AccessFlag`
  - `DataFlag`
  - `SettingsFlag`
  - `TokenFlag`
- Items
  - `WialonBase`
  - `WialonResource`
  - `WialonRetranslator`
  - `WialonRoute`
  - `WialonUnit`
  - `WialonUnitGroup`
  - `WialonUser`
- Wialon API Sessions
  - `WialonSession`
  - Usage
- Utilities
  - Functions
  - Usage